## deepin-album 6.0.25

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.13)

project(deepin-album LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

include_directories(${PROJECT_BINARY_DIR})
configure_file(${PROJECT_SOURCE_DIR}/config.h.in ${PROJECT_BINARY_DIR}/config.h @ONLY)

# Find the Qt library
find_package(QT NAMES Qt6  REQUIRED COMPONENTS Core)
message("Using Qt version: ${QT_VERSION_MAJOR}")

# Select major DTK version.
if(QT_VERSION_MAJOR EQUAL "6")
    set(BUILD_WITH_QT6 ON)
    set(DTK_VERSION_MAJOR 6)
else()
    set(DTK_VERSION_MAJOR "")
endif()

#find_package(Dtk${DTK_VERSION_MAJOR}Declarative REQUIRED)

# Application
add_subdirectory(src)

# Unit Tests
#add_subdirectory(tests)
TARGET_COMPILE_DEFINITIONS(deepin-album
  PRIVATE $<$<OR:$<CONFIG:Debug>,$<CONFIG:RelWithDebInfo>>:QT_QML_DEBUG>)

=== src/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.13)

#玲珑构建依赖目录
include_directories(${CMAKE_INSTALL_PREFIX}/include)

set(APP_BIN_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/bin/)
set(BIN_NAME ${CMAKE_PROJECT_NAME})

list(APPEND RESOURCES)

find_package(Qt${QT_VERSION_MAJOR} CONFIG REQUIRED COMPONENTS
    Qml
    Quick
    DBus
    Concurrent
    Svg
    PrintSupport
    LinguistTools
    Sql
)

find_package(Dtk${DTK_VERSION_MAJOR} REQUIRED COMPONENTS
    Widget
    Gui
    Declarative
)

# 三方库
find_package(PkgConfig REQUIRED)
pkg_check_modules(3rd_lib REQUIRED
     #[[gio-qt udisks2-qt5]] libavformat
    )
pkg_check_modules(dfmmount REQUIRED
    dfm${DTK_VERSION_MAJOR}-mount
    )

set(DFM_MOUNT_HEADERS ${dfmmount_INCLUDE_DIRS})
include_directories(${DFM_MOUNT_HEADERS})

# 保证 src 目录下头文件全局可见
include_directories(src)

# 源文件
file(GLOB_RECURSE SRCS CONFIGURE_DEPENDS "./*.h" "./*.cpp")
file(GLOB_RECURSE QMLSRC ./*.qml)

if(NOT BUILD_WITH_QT6)
    find_package(Qt5QuickCompiler CONFIG REQUIRED)
    qtquick_compiler_add_resources(RCC_SOURCES ${RESOURCES})
endif()

if(NOT(${CMAKE_BUILD_TYPE} MATCHES "Debug"))
    # 调整优化级别
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O3")

    # Translation
    file(GLOB TS LIST_DIRECTORIES false translations/${CMAKE_PROJECT_NAME}*.ts)
    set_source_files_properties(${TS} PROPERTIES OUTPUT_LOCATION ${PROJECT_SOURCE_DIR}/translations)
    qt_create_translation(QM ${SRCS} ${QMLSRC} ${TS})
endif()

# 仅生成 EXE 文件，用以兼容新(5.6.0+dev-1及以上)旧两版本DtkDeclarative库
add_executable(${BIN_NAME}
    ${SRCS}
    ${RCC_SOURCES}
    ${QM}
    ${CMAKE_PROJECT_NAME}.qrc
    res.qrc
)

target_include_directories(${BIN_NAME} PUBLIC ${3rd_lib_INCLUDE_DIRS}  )
target_link_libraries(${BIN_NAME}
    Qt${QT_VERSION_MAJOR}::Quick
    Qt${QT_VERSION_MAJOR}::PrintSupport
    Qt${QT_VERSION_MAJOR}::Gui
    Qt${QT_VERSION_MAJOR}::Qml
    Qt${QT_VERSION_MAJOR}::Core
    Qt${QT_VERSION_MAJOR}::DBus
    Qt${QT_VERSION_MAJOR}::Concurrent
    Qt${QT_VERSION_MAJOR}::Svg
    Qt${QT_VERSION_MAJOR}::Sql

    Dtk${DTK_VERSION_MAJOR}::Widget
    Dtk${DTK_VERSION_MAJOR}::Gui
    Dtk${DTK_VERSION_MAJOR}::Declarative
    GL
    pthread
    ${3rd_lib_LIBRARIES}
    ${dfmmount_LIBRARIES}
    )

if (${CMAKE_BUILD_TYPE} MATCHES "Debug")
    TARGET_COMPILE_DEFINITIONS(${BIN_NAME} PRIVATE $<$<OR:$<CONFIG:Debug>,$<CONFIG:RelWithDebInfo>>:QT_QML_DEBUG>)
endif ()

set_target_properties(${BIN_NAME} PROPERTIES INSTALL_RPATH ${DTK_QML_APP_PLUGIN_PATH})

set(PREFIX ${CMAKE_INSTALL_PREFIX})
set(AppIconDir ${PREFIX}/share/icons/hicolor/scalable/apps)
set(APPSHAREDIR  ${CMAKE_INSTALL_PREFIX}/share/${CMAKE_PROJECT_NAME})

# Add install rule
install(TARGETS ${BIN_NAME} DESTINATION ${APP_BIN_INSTALL_DIR})
install(FILES ${PROJECT_SOURCE_DIR}/src/${CMAKE_PROJECT_NAME}.desktop DESTINATION share/applications)
install(FILES ${PROJECT_SOURCE_DIR}/src/icon/deepin-album.svg DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps)
install(FILES com.deepin.album.service DESTINATION ${CMAKE_INSTALL_PREFIX}/share/dbus-1/services/)

install(TARGETS ${LIB_NAME} DESTINATION ${DTK_QML_APP_PLUGIN_PATH})
install(TARGETS ${LIB_NAME} DESTINATION ${PREFIX}/plugins/imageformats)

#translations
install(DIRECTORY ${PROJECT_SOURCE_DIR}/translations
    DESTINATION ${APPSHAREDIR}
    FILES_MATCHING PATTERN "*.qm")

#manual
install(DIRECTORY ${PROJECT_SOURCE_DIR}/src/assets/deepin-album
    DESTINATION ${CMAKE_INSTALL_PREFIX}/share/deepin-manual/manual-assets/application/
    FILES_MATCHING PATTERN "*")

=== tests/dapploader/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.0)

set(TEST_DAPPLOADER gts_dapploader)

# 指定 src 目录中生成的 lib 的名字和路径
add_definitions(-DLIB_NAME="${CMAKE_PROJECT_NAME}")
add_definitions(-DLIB_PATH="${CMAKE_BINARY_DIR}/src")

find_package(Qt5Test REQUIRED)

add_executable(${TEST_DAPPLOADER} gts_dapploader.cpp)

target_link_libraries(${TEST_DAPPLOADER}
    Qt5::Test
    ${DtkDeclarative_LIBRARIES}
    -lgtest
    -lpthread
    )

#------------------------------ 创建'make tests'指令---------------------------------------
include(GoogleTest)
enable_testing()

gtest_discover_tests(${TEST_DAPPLOADER} AUTO AUTO)

add_custom_target(tests ALL
    DEPENDS ${TEST_DAPPLOADER}
    )

add_custom_command(TARGET tests
    COMMAND echo " =================== TEST BEGIN ==================== "
    COMMAND ${CMAKE_BINARY_DIR}/tests/dapploader/${TEST_DAPPLOADER}
    COMMAND echo " =================== TEST END ==================== "
    )
##'make tests'命令依赖与我们的测试程序
add_dependencies(tests ${TEST_DAPPLOADER})

## 设置添加gocv相关信息的输出
set(CMAKE_CXX_FLAGS "-g -fprofile-arcs -ftest-coverage -fno-inline")

=== debian/changelog ===
deepin-album (6.0.25) unstable; urgency=medium

  * Update version to 6.0.25 

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Fri, 16 May 2025 17:51:07 +0800

deepin-album (6.0.24) unstable; urgency=medium

  * fix: prevent app freeze when using ctrl+A to select all in collection view
  * update version to 6.0.24

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Tue, 13 May 2025 14:18:32 +0800

deepin-album (6.0.23) unstable; urgency=medium

  * Update translations.

 -- renbin <renbin@uniontech.com>  Thu, 17 Apr 2025 09:37:03 +0800

deepin-album (6.0.22) unstable; urgency=medium

  * chore: update translations.
  * fix: Optimize MTP device handling(Bug: 289223)

 -- renbin <renbin@uniontech.com>  Thu, 10 Apr 2025 19:29:17 +0800

deepin-album (6.0.21) unstable; urgency=medium

  * chore: update desktop file
  * chore: update translations

 -- renbin <renbin@uniontech.com>  Wed, 02 Apr 2025 15:51:34 +0800

deepin-album (6.0.20) unstable; urgency=medium

  * chore: New version 6.0.20.
  * Fix text color issue after change theme.
  * Fix did not sync rename for infodialog.
  * Update image info after rename.
  * Fix update imported view after delete.

 -- re2zero <yangwu@uniontech.com>  Thu, 20 Mar 2025 18:55:55 +0800

deepin-album (6.0.19) unstable; urgency=medium

  * chore: New version 6.0.19.

 -- Wang Yu <wangyu@uniontch.com>  Wed, 12 Mar 2025 20:08:03 +0800

deepin-album (6.0.18) unstable; urgency=medium

  * fix: Fix image rotate issue(Bug: 298051)
  * i18n: Translate desktop.ts in ja (#305)

 -- renbin <renbin@uniontech.com>  Thu, 06 Mar 2025 19:52:24 +0800

deepin-album (6.0.17) unstable; urgency=medium

  * fix: component overlap on deleted view(Bug: 275475)
  * fix: app hangs when access mtp device(Bug: 289223)
  * i18n: Updates for project Deepin Album (#302)

 -- renbin <renbin@uniontech.com>  Thu, 27 Feb 2025 19:16:13 +0800

deepin-album (6.0.16) unstable; urgency=medium

  * fix: Fix can not play video issue
  * chore: Update linglong base

 -- xiepengfei <xiepengfei@uniontech.com>  Thu, 20 Feb 2025 20:34:36 +0800

deepin-album (6.0.15) unstable; urgency=medium

  * fix: remove invalid  url
  * fix: SMB display issue on immutable systems(Bug: 299327)

 -- renbin <renbin@uniontech.com>  Thu, 09 Jan 2025 17:37:27 +0800

deepin-album (6.0.14) unstable; urgency=medium

  * chore: New version 6.0.14.

 -- xiepengfei <xiepengfei@uniontech.com>  Fri, 20 Dec 2024 11:51:44 +0800
 
 deepin-album (6.0.13) unstable; urgency=medium
 
  * update version to 6.0.13

 -- renbin <renbin@uniontech.com>  Sat, 14 Dec 2024 11:56:30 +0800

deepin-album (6.0.12) unstable; urgency=medium

  * fix: Fixed the issue of waiting for restart after exiting (#272)
    Thanks to pengfeixx(Bug: 289903)
  * fix: Remove the freeimage dependency (#273)
    Thanks to pengfeixx
  * fix: sidebar background color(Bug: 290603)(Influence: UI)

 -- renbin <renbin@uniontech.com>  Sat, 07 Dec 2024 11:56:30 +0800

deepin-album (6.0.11) unstable; urgency=medium

   * update version to 6.0.11
   * [animation] add config enable/disable sidebar switch animation

 -- houchengqiu <houchengqiu@uniontech.com>  Fri, 22 Nov 2024 16:10:32 +0800

deepin-album (6.0.10) unstable; urgency=medium

   * update version to 6.0.10
   * fix: [review] When the sidebar content is fully displayed, only the vertical scroll wheel is used
   * feat: Replace the daily view with V20 QWidget control
   * feat: Replace the import view with V20 QWidget control
   * fix: [UI] v20 day view and import view style adjust 1st

 -- houchengqiu <houchengqiu@uniontech.com>  Fri, 25 Oct 2024 10:46:05 +0800

deepin-album (6.0.9) unstable; urgency=medium

   * update version to 6.0.9
   * fix: Resolve the issue of the probability of crashing when switching to an imported view

 -- houchengqiu <houchengqiu@uniontech.com>  Fri, 27 Sep 2024 09:58:03 +0800

deepin-album (6.0.8) unstable; urgency=medium

   * update version to 6.0.8
   * chore: [merge] merge imageviewer newer code to album
   * fix: fix some bugs about adapt qt6
   * feat: [translation]add transifex config

 -- houchengqiu <houchengqiu@uniontech.com>  Fri, 20 Sep 2024 16:34:03 +0800

deepin-album (6.0.7) unstable; urgency=medium

   * update version to 6.0.7
   * feat: adapt to Qt6
   * feat: merge new imageviewer code to album

 -- houchengqiu <houchengqiu@uniontech.com>  Thu, 5 Sep 2024 19:13:03 +0800

deepin-album (6.0.6) unstable; urgency=medium

  * fix: Search box centering issue fixed(Bug: 219083)
  * feat: [Animation] Collection year month day view add zoom out fade out dynamic effect(Bug: 168549)
  * feat: [Animation] Add large image preview with reverse animation effect(Bug: 168549)
  * fix: [UI] Add a semi transparent background effect to the sidebar(Bug: 265267)
  * fix: [UI] Add hover status display to the sidebar sub item(Bug: 268929, 268925)
  * feat: [Config] Add large image preview animation duration config(Bug: 168549)
  * fix: [Config] The default width and height adjustment of the main window is 1150 * 800(Bug: 268195)
  * fix: [UI] Adjustment of Top and Bottom Margins in Year Month View(Bug: 268925)

 -- houchengqiu <houchengqiu@uniontech.com>  Thu, 22 Aug 2024 13:41:03 +0800

deepin-album (6.0.5) unstable; urgency=medium

  * chore: Add sidebar menu switching animation
  * chore: Add large image preview animation
  * chore: Add dynamic effects for switching between year, month, and day views
  * chore: Increase the proportion of images to switch dynamic effects

 -- wangyu <wangyu@uniontech.com>  Thu, 15 Aug 2024 19:22:14 +0800

deepin-album (6.0.4) unstable; urgency=medium

  * chore: URL path to local path rectification, unified use of the localPath interface for processing
  * fix: Fix the issue of excessive display of high definition screen icons(Issue: https://github.com/linuxdeepin/developer-center/issues/4884)
  * refator: Improved functionality for 'import from file' and device list


## deepin-album 6.0.33

=== debian/changelog ===
deepin-album (6.0.33) unstable; urgency=medium

  * chore: update translations

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Fri, 27 Jun 2025 17:14:07 +0800

deepin-album (6.0.32) unstable; urgency=medium

  * chore: New version 6.0.32

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Thu, 26 Jun 2025 13:53:28 +0800

deepin-album (6.0.31) unstable; urgency=medium

  * chore: New version 6.0.31

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Wed, 25 Jun 2025 14:35:32 +0800

deepin-album (6.0.30) unstable; urgency=medium

  * chore: New version 6.0.30.

 -- xiepengfei <xiepengfei@uniontech.com>  Mon, 23 Jun 2025 15:53:51 +0800

deepin-album (6.0.29) unstable; urgency=medium

  * chore: Update translations (#343)

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Mon, 23 Jun 2025 12:58:38 +0800

deepin-album (6.0.28) unstable; urgency=medium

  * chore: Update deepin-manual resources

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Fri, 20 Jun 2025 17:05:41 +0800

deepin-album (6.0.27) unstable; urgency=medium

  * Update to 6.0.27

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 29 May 2025 16:59:13 +0800

deepin-album (6.0.26) unstable; urgency=medium

  * Update version to 6.0.26 

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 22 May 2025 16:10:43 +0800

## deepin-album 6.0.36

=== tests/CMakeLists.txt ===
# gtest: 使用 DAppLoader 加载本项目生成的 LIB
add_subdirectory(dapploader)

=== debian/changelog ===
deepin-album (6.0.36) unstable; urgency=medium

  * chore: Update deepin-manual resources (#354)

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 10 Jul 2025 18:56:18 +0800

deepin-album (6.0.35) unstable; urgency=medium

  * fix bugs

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Thu, 03 Jul 2025 15:28:27 +0800

deepin-album (6.0.34) unstable; urgency=medium

  * update version to 6.0.34.

 -- Tian ShiLin <tianshilin@uniontech.com>  Tue, 01 Jul 2025 20:47:25 +0800

=== debian/control ===
Source: deepin-album
Section: utils
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends:
 debhelper (>= 11),
 cmake,
 pkg-config,
# Qt6
 qt6-base-dev,
 qt6-tools-dev,
 qt6-tools-dev-tools,
 qt6-svg-dev,
 qt6-declarative-dev,
# Dtk
 libdtk6gui-dev,
 libdtk6widget-dev,
 libdtk6declarative-dev,
# Deepin
# null
# 3rd party
 libexif-dev,
 libstartup-notification0-dev,
 libudev-dev,
 libfontconfig1-dev,
 libglib2.0-dev,
 libxrender-dev,
#libgio-qt-dev,
#libudisks2-qt5-dev,
 libdfm6-mount-dev,
 libavformat-dev,
 libffmpegthumbnailer-dev
Standards-Version: 4.1.3
Homepage: http://www.deepin.org

Package: deepin-album
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
    qml6-module-qt-labs-settings,
    qml6-module-qt-labs-folderlistmodel,
    qml6-module-qtquick-dialogs,
    qml6-module-qtquick-layouts,
    qml6-module-qtquick-effects,
    qml6-module-qtquick-window,
    qml6-module-qt5compat-graphicaleffects,
    libqt6sql6-sqlite,
    qt6-image-formats-plugins
Recommends: qt6-gtk-platformtheme, deepin-ocr
Description: Simple description
 A detailed description.

## deepin-album 6.0.43

=== debian/changelog ===
deepin-album (6.0.43) unstable; urgency=medium

  * fix: Add Lao translations to deepin-album.desktop

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 13 Aug 2025 13:36:45 +0800

deepin-album (6.0.42) unstable; urgency=medium

  * fix bugs

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Wed, 13 Aug 2025 11:39:40 +0800

deepin-album (6.0.41) unstable; urgency=medium

  * chore: Update .gitignore and clean up Lao translations

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 13 Aug 2025 10:43:40 +0800

deepin-album (6.0.40) unstable; urgency=medium

  * fix: Handling translation errors in lo languages (#359)

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Fri, 08 Aug 2025 15:55:29 +0800

deepin-album (6.0.39) unstable; urgency=medium

  * Update version to 6.0.39.

 -- Tian ShiLin <tianshilin@uniontech.com>  Fri, 08 Aug 2025 13:53:15 +0800

deepin-album (6.0.38) unstable; urgency=medium

  * Update version to 6.0.38. 

 -- Tian ShiLin <tianshilin@uniontech.com>  Thu, 07 Aug 2025 19:44:28 +0800

deepin-album (6.0.37) unstable; urgency=medium

  * feat: Image format extension support

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Wed, 23 Jul 2025 15:12:27 +0800

## deepin-album 6.0.46

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -2,6 +2,11 @@
 
 #玲珑构建依赖目录
 include_directories(${CMAKE_INSTALL_PREFIX}/include)
+
+
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIE")
+set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fPIC")
+set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -pie")
 
 set(APP_BIN_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/bin/)
 set(BIN_NAME ${CMAKE_PROJECT_NAME})

=== debian/changelog ===
deepin-album (6.0.46) unstable; urgency=medium

  * chore: Update linglong base and runtime

 -- wangrong <wangrong@uniontech.com>  Wed, 17 Sep 2025 13:03:40 +0800

deepin-album (6.0.45) unstable; urgency=medium

  * fix: Update layout and icon size in AlbumTitle.qml

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Tue, 16 Sep 2025 14:54:07 +0800

deepin-album (6.0.44) unstable; urgency=medium

  * fix: Fixed CMYK image display issue Fixed CMYK image display issue

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Fri, 15 Aug 2025 10:04:43 +0800

=== debian/control ===
--- 
+++ 
@@ -45,7 +45,7 @@
     qml6-module-qt5compat-graphicaleffects,
     libqt6sql6-sqlite,
     qt6-image-formats-plugins
-Recommends: qt6-gtk-platformtheme, deepin-ocr
+Recommends: qt6-gtk-platformtheme, deepin-ocr, kimageformat6-plugins
 Description: Simple description
  A detailed description.

=== debian/rules ===
#!/usr/bin/make -f
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# 检测当前安装的Qt版本，优先使用Qt6，否则使用Qt5
define detect_qt_version
ifneq (,$(shell which qmake6 2>/dev/null))
    QT_DIR="/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/Qt6"
else
    QT_DIR="/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/Qt5"
endif
endef

# 调用检测Qt版本的命令
$(eval $(call detect_qt_version))

# hardcode this if want to force build with sepecific Qt version
# QT_DIR="/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/Qt5"

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

ifneq (,$(wildcard .git/config))
	CONFIG_VERSION=
else
VERSION = $(DEB_VERSION_UPSTREAM)
_PACK_VER = $(shell echo $(VERSION) | awk -F'[+_~-]' '{print $$1}')
_BUILD_VER = $(shell echo $(VERSION) | awk -F'[+_~-]' '{print $$2}' | sed 's/[^0-9]//g')
ifeq ($(_BUILD_VER),)
	CONFIG_VERSION = $(_PACK_VER)
else
	CONFIG_VERSION = $(_PACK_VER).$(_BUILD_VER)
endif
endif

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_BUILD_TYPE=Release \
	-DVERSION=$(DEB_VERSION_UPSTREAM) \
	-DLIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
	-DQT_DIR=$(QT_DIR)

## deepin-album 6.0.47

=== debian/changelog ===
deepin-album (6.0.47) unstable; urgency=medium

  * fix bugs

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Thu, 23 Oct 2025 19:46:17 +0800
